> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Invoice Item



## OpenAPI

````yaml https://api.heydollr.app/openapi.json post /{version}/invoices/{invoice_id}/items/add
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/invoices/{invoice_id}/items/add:
    post:
      tags:
        - invoices
      summary: Add Invoice Item
      operationId: add_invoice_item__version__invoices__invoice_id__items_add_post
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            title: Object ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddInvoiceItemPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceItemResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    AddInvoiceItemPayload:
      properties:
        name:
          type: string
          title: Name
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
        qty:
          type: integer
          title: Qty
        amount:
          anyOf:
            - type: number
              minimum: 0.01
            - type: integer
              minimum: 1
          title: Amount
          description: A positive, non-zero amount.
      type: object
      required:
        - name
        - currency
        - qty
        - amount
      title: AddInvoiceItemPayload
      description: AddInvoiceItemPayload
    InvoiceItemResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
        qty:
          type: integer
          title: Qty
        amount:
          anyOf:
            - type: number
              minimum: 0.01
            - type: integer
              minimum: 1
          title: Amount
          description: A positive, non-zero amount.
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - currency
        - qty
        - amount
        - created_at
        - updated_at
      title: InvoiceItemResponse
      description: InvoiceItemResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````